Blockly.Blocks['big_constant'] = {
  init: function() {
    this.appendDummyInput()
        .appendField(new Blockly.FieldTextInput("2"), "CONST");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('nombre multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_eq'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "BIG1")
        .appendField("=");
    this.setOutput(true, "Boolean");
    this.setColour(20);
    this.setTooltip('égalité multiprécision');
    this.setHelpUrl('');
  }
};
Blockly.Blocks['big_gt'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "BIG1")
        .appendField(">");
    this.setOutput(true, "Boolean");
    this.setColour(20);
    this.setTooltip('inégalité multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_gte'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "BIG1")
        .appendField("≥");
    this.setOutput(true, "Boolean");
    this.setColour(20);
    this.setTooltip('inégalité multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_lt'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "BIG1")
        .appendField("<");
    this.setOutput(true, "Boolean");
    this.setColour(20);
    this.setTooltip('inégalité multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_lte'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "BIG1")
        .appendField("≤");
    this.setOutput(true, "Boolean");
    this.setColour(20);
    this.setTooltip('inégalité multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_abs'] = {
  init: function() {
    this.appendValueInput("NAME")
        .setCheck("Big")
        .appendField("abs");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('valeur absolue (sans signe)');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_sqrt'] = {
  init: function() {
    this.appendValueInput("NAME")
        .setCheck("Big")
        .appendField("√");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('racine carrée');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_plus'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("+");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('addition multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_moins'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("-");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('soustraction multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_fois'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("×");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('multiplication multiprécision');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_sur'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("/");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('division multiprécision');
    this.setHelpUrl('');
  }
};


Blockly.Blocks['big_invsur'] = {
  init: function() {
    this.appendDummyInput()
        .appendField(new Blockly.FieldTextInput("2"), "BIG1")
        .appendField("/")
        .appendField(new Blockly.FieldVariable("variable"), "BIG2");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('quotient inversé');
    this.setHelpUrl('');
  }
};



Blockly.Blocks['big_cmp'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("?");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('comparaison multiprécision');
    this.setHelpUrl('');
  }
};



Blockly.Blocks['big_modulo'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("modulo");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('reste dans la division euclidienne');
    this.setHelpUrl('');
  }
};



Blockly.Blocks['big_pow'] = {
  init: function() {
    this.appendValueInput("NAME")
        .appendField(new Blockly.FieldVariable("variable"), "NAME")
        .appendField("^");
    this.setOutput(true, "Big");
    this.setColour(20);
    this.setTooltip('puissance multiprécision');
    this.setHelpUrl('');
  }
};


Blockly.Blocks['big_chiffres'] = {
  init: function() {
    this.appendValueInput("VAR")
        .setCheck("Big")
        .appendField("mettre dans")
        .appendField(new Blockly.FieldVariable("liste"), "VAR")
        .appendField("les chiffres de");
    this.setPreviousStatement(true);
    this.setNextStatement(true);
    this.setColour(30);
    this.setTooltip('');
    this.setHelpUrl('http://www.example.com/');
  }
};
Blockly.Blocks['big_decimales'] = {
  init: function() {
    this.appendValueInput("VAR")
        .setCheck("Big")
        .appendField("mettre dans")
        .appendField(new Blockly.FieldVariable("liste"), "VAR")
        .appendField("les décimales de");
    this.setPreviousStatement(true);
    this.setNextStatement(true);
    this.setColour(30);
    this.setTooltip('');
    this.setHelpUrl('http://www.example.com/');
  }
};

Blockly.Blocks['big_aff'] = {
  init: function() {
    this.appendValueInput("VAR")
        .appendField("ajouter en bas");
    this.setPreviousStatement(true);
    this.setNextStatement(true);
    this.setColour(20);
    this.setTooltip('afficher en bas de page');
    this.setHelpUrl('');
  }
};

Blockly.Blocks['big_efface'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("palimpseste");
    this.setPreviousStatement(true);
    this.setNextStatement(true);
    this.setColour(20);
    this.setTooltip('effacer la sortie des grands nombres');
    this.setHelpUrl('https://fr.wikipedia.org/wiki/Palimpseste');
  }
};
